Skip to main content
PUT
Update a Recurring Reminder

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

(Required) The identifier.

Body

application/json
id
string
taskType
string
message
string
name
string

The display name of the record.

dueDate
string
contactId
string

The identifier of the contact this record belongs to.

reminderFrequency
string
description
string

A free-text description of the record.

Response

OK

id
string

The unique identifier of the record in Virtuous.

name
string

The display name of the record.

reminderSourceType
string
reminderSourceTypeDisplayName
string
reminders
object[]
message
string
dueDate
string
contactId
string

The identifier of the contact this record belongs to.

contactDisplayName
string
reminderFrequency
string
reminderFrequencyDisplayName
string
milestoneType
string
milestoneTypeDisplayName
string
threshold
string
description
string

The free-text description stored on the record.

Last modified on August 11, 2026